EDIT - bug #7069

Delete taxon node should have consistent configuration
11/07/2017 04:30 PM - Andreas Muller

Status: Closed Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 50%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 4.13

Severity: normal Found in Version:

Description

**Currently delete in taxon navigator comes with 2 flavors: taxon nodes with children and without children.

Without children the configuration possibilities are very limited. Only "delete taxon if possible" is available while "with children" has
many configurations.

We should use the same Dialog but only adapt child handling buttons in a way that they are correct for the version without children,
e.g. by adapting labels of buttons or disabling / changing visibility of buttons.

Also the label for Cancel should be changed, at least in German. "Uberspringen" is not correct, it should be "Abbrechen". Havn't
checked if it is correct in English.

Related issues:
Copied to EDIT - bug #7273: Expanding DeleteTaxonNode wizard shows some parts... New

Associated revisions

Revision af6f13f9 - 12/12/2017 10:26 AM - Katja Luther

fix #7069: use the same configurator for deleting a taxon node with or without children

Revision c468783 - 12/13/2017 10:25 AM - Katja Luther

fix #7069: use the same configurator for deleting a taxon node with or without children

Revision 72d4b12d - 01/12/2018 10:09 AM - Katja Luther

delete taxonNodes improved

Revision 22fc4952 - 01/12/2018 10:13 AM - Katja Luther

add possibility to mark and delete more than one taxonNode

Revision 4aa3c52a - 01/12/2018 11:58 AM - Katja Luther

improve name editor update for navigator operations

Revision 1d720e10 - 01/30/2018 11:30 AM - Andreas Miuller

ref #7069 Remove duplication of label in German

Revision 6209bd80 - 02/16/2018 11:44 AM - Katja Luther

ref #7069: clicking on x closes delete configuration wizard without deleting taxon node

History

#1 - 12/05/2017 02:02 PM - Andreas Miiller

- Target version changed from Release 4.12 to Release 4.13

#2 - 12/12/2017 10:26 AM - Katja Luther
- Status changed from New to Resolved

- % Done changed from 0 to 50
Applied in changeset taxeditor|af6f13f92959f08e7a970d6476dcef9298f19fa9.

#3 - 12/12/2017 10:28 AM - Katja Luther

- Assignee changed from Katja Luther to Andreas Miiller

#4 - 12/12/2017 10:28 AM - Katja Luther

please review

#5 - 12/19/2017 10:37 AM - Andreas Miiller

- Description updated

- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miiller to Katja Luther

- % Done changed from 50 to 80

Generally this is solved. Some minor issues:

1. Deleting a leaf: German label is "Wollen sie die ausgewahlten Knoten ...", should be "Wollen sie den ..." if only one leaf is selected. Please check
if this is also an issue in English.

2. Deleting a node with children. German label is "... Es sind Kindknoten vorhanden, die auch geléscht werden". This doesn't fit to the new
functionality anymore. Better maybe "Wollen Sie den ausgewéhlten Knoten wirklich I6schen? Sollen die Kindknoten auch geléscht werden?".
Please also adapt in English.

#6 - 12/19/2017 10:53 AM - Katja Luther
- Status changed from Feedback to Resolved

- % Done changed from 80 to 50

Applied in changeset taxeditor|c4f68783{7732707b2741520c9b1b606ccb89b05.

#7 - 01/12/2018 12:07 PM - Katja Luther

- Assignee changed from Katja Luther to Andreas Miiller

The dialog is now adapted to the possibility to delete more than one taxon node and the minor issues are solved as well.

#8 - 01/30/2018 11:33 AM - Andreas Miiller
- File picture354-1.png added
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miiller to Katja Luther
| removed duplication in German label. Please confirm (1d720e10dd7db8)

Generally it works. 2 further open issues:

1) When opening "Configure" the screen does not refresh correctly (see screenshot attachment), also when resizing the dialog window it does not
refresh correctly (feel free to open new ticket if immediate fix not possible)

2) When clicking on the "x" to close the window the delete command is executed instead of canceling, this is critical because unexpected (feel free to
open new ticket if immediate fix not possible)

#9 - 02/16/2018 12:00 PM - Katja Luther
- Status changed from Feedback to Closed

now the nodes are only deleted if delete is clicked.
the problem of the remaining button parts when expanding the wizard | move to a new ticket.

#10 - 02/16/2018 12:03 PM - Katja Luther
- Copied to bug #7273: Expanding Delete TaxonNode wizard shows some parts of the buttons in old position added

Files

picture354-1.png 16.9 KB 01/30/2018 Andreas Miller
